/chakra/desktop/oyranos/src/oyranos-0.9.6/src/API_generated/oyStruct_s.h File Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Data Structures | Typedefs | Functions
oyStruct_s.h File Reference
`#include <oyranos_object.h>`
`#include <oyranos_core.h>`

## Data Structures
struct | oyStruct_s
| Oyranos base structure. More...

## Typedefs
typedef oyStruct_s *(* | oyStruct_Copy_f) (oyStruct_s *, oyPointer)
| reference a object or with second argument present do a copy More...
typedef int(* | oyStruct_Release_f) (oyStruct_s **)
| release object More...
typedef oyPointer(* | oyStruct_LockCreate_f) (oyStruct_s *obj)
| create a lock object More...

## Functions
void | oyThreadLockingSet (oyStruct_LockCreate_f createLockFunc, oyLockRelease_f releaseLockFunc, oyLock_f lockFunc, oyUnLock_f unlockFunc)
| set locking functions for threaded applications More...
int | oyThreadLockingReady (void)
| tell if thread locking is ready More...
OYAPI oyAlloc_f OYEXPORT | oyStruct_GetAllocator (oyStruct_s *obj)
| get the memory allocator of a object More...
OYAPI oyDeAlloc_f OYEXPORT | oyStruct_GetDeAllocator (oyStruct_s *obj)
| get the memory allocator of a object More...
OYAPI int OYEXPORT | oyStruct_CheckType (oyStruct_s *obj, oyOBJECT_e type)
| check if the object is a class or is inherited of a class More...
OYAPI oyPointer OYEXPORT | oyStruct_Allocate (oyStruct_s *st, size_t size)
| let a object allocate some memory More...

## Detailed Description

[Template file inheritance graph] +– oyStruct_s.template.h

Oyranos is an open source Color Management System

Copyright:
  2004-2016 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/BSD-3-Clause

## Typedef Documentation

## ◆ oyStruct_Copy_f

typedef oyStruct_s*(* oyStruct_Copy_f) (oyStruct_s *, oyPointer)

reference a object or with second argument present do a copy

## ◆ oyStruct_LockCreate_f

typedef oyPointer(* oyStruct_LockCreate_f) (oyStruct_s *obj)

create a lock object

## ◆ oyStruct_Release_f

typedef int(* oyStruct_Release_f) (oyStruct_s **)

release object

## Function Documentation

## ◆ oyStruct_Allocate()

OYAPI oyPointer OYEXPORT oyStruct_Allocate | ( | oyStruct_s * | st,
|  | size_t | size
| ) |  |

let a object allocate some memory

Function oyStruct_Allocate

Version
  Oyranos: 0.1.10

Since
  2008/12/00 (Oyranos: 0.1.10)

Date
  2008/12/00

References oyStruct_s::oy_.

## ◆ oyStruct_CheckType()

OYAPI int OYEXPORT oyStruct_CheckType | ( | oyStruct_s * | obj,
|  | oyOBJECT_e | type
| ) |  |

check if the object is a class or is inherited of a class

Function oyStruct_CheckType

Version
  Oyranos: 0.3.0

Date
  2011/02/15

Since
  2011/02/02 (Oyranos: 0.3.0)

References oyStruct_s::type_.

## ◆ oyStruct_GetAllocator()

OYAPI oyAlloc_f OYEXPORT oyStruct_GetAllocator | ( | oyStruct_s * | obj | ) |

get the memory allocator of a object

Function oyStruct_GetAllocator

Version
  Oyranos: 0.3.0

Date
  2011/01/30

Since
  2011/01/30 (Oyranos: 0.3.0)

References oyStruct_s::type_.

## ◆ oyStruct_GetDeAllocator()

OYAPI oyDeAlloc_f OYEXPORT oyStruct_GetDeAllocator | ( | oyStruct_s * | obj | ) |

get the memory allocator of a object

Function oyStruct_GetDeAllocator

Version
  Oyranos: 0.3.0

Date
  2011/01/30

Since
  2011/01/30 (Oyranos: 0.3.0)

References oyStruct_s::type_.